| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_mfs_intern_data Struct Reference
Multi Function Serial Interface (MFS)

MFS module internal data, storing internal information for each enabled MFS instance. More...

`#include <mfs.h>`

Collaboration diagram for stc_mfs_intern_data:
[legend]

## Data Fields
en_mfs_mode_t | enMode
| MFS mode.
en_mfs_instance_index_t | enIndex
| MFS instance index.
union {
func_ptr_t fnMfsInternIntCb [6]
stc_uart_int_cb_t stcUartInternIntCb
| Uart internal interrupt callback function.
stc_csio_int_cb_t stcCsioInternIntCb
| CSIO internal interrupt callback function.
stc_i2c_int_cb_t stcI2cInternIntCb
| I2C internal interrupt callback function.
stc_lin_int_cb_t stcLinInternIntCb
| LIN internal interrupt callback function.
}; |

## Detailed Description

MFS module internal data, storing internal information for each enabled MFS instance.

Definition at line 1137 of file mfs.h.

## Field Documentation

union { ... }

en_mfs_instance_index_t enIndex

MFS instance index.

Definition at line 1140 of file mfs.h.

Referenced by MfsCsioGetInstanceIndex(), MfsI2cGetInstanceIndex(), MfsLinGetInstanceIndex(), and MfsUartGetInstanceIndex().

en_mfs_mode_t enMode

MFS mode.

Definition at line 1139 of file mfs.h.

Referenced by Mfs_Csio_Init(), Mfs_I2c_Init(), Mfs_Lin_Init(), and Mfs_Uart_Init().

func_ptr_t fnMfsInternIntCb[6]

Definition at line 1143 of file mfs.h.

stc_csio_int_cb_t stcCsioInternIntCb

CSIO internal interrupt callback function.

Definition at line 1145 of file mfs.h.

Referenced by Mfs_Csio_DisableInt(), Mfs_Csio_EnableInt(), MfsCsioIrqHandlerRx(), MfsCsioIrqHandlerStatus(), and MfsCsioIrqHandlerTx().

stc_i2c_int_cb_t stcI2cInternIntCb

I2C internal interrupt callback function.

Definition at line 1146 of file mfs.h.

Referenced by Mfs_I2c_DisableInt(), Mfs_I2c_EnableInt(), MfsI2cIrqHandlerRx(), MfsI2cIrqHandlerStatus(), and MfsI2cIrqHandlerTx().

stc_lin_int_cb_t stcLinInternIntCb

LIN internal interrupt callback function.

Definition at line 1147 of file mfs.h.

Referenced by Mfs_Lin_DisableInt(), Mfs_Lin_EnableInt(), MfsLinIrqHandlerRx(), MfsLinIrqHandlerStatus(), and MfsLinIrqHandlerTx().

stc_uart_int_cb_t stcUartInternIntCb

Uart internal interrupt callback function.

Definition at line 1144 of file mfs.h.

Referenced by Mfs_Uart_DisableInt(), Mfs_Uart_EnableInt(), MfsUartIrqHandlerRx(), and MfsUartIrqHandlerTx().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mfs/mfs.h